> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/contributor/contributor-es/contenido/tipos-de-entidad/emotes.md).

# Emotes

Los Emotes son los [entities](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md) que contienen animaciones para los avatares de los jugadores.

Incluyen archivos en formato GLB para diferentes body shapes.

### Punteros <a href="#pointers" id="pointers"></a>

Los Emotes tienen exactamente una colección asociada [pointer](https://github.com/decentraland/docs/tree/main/contributor/pointers/README.md), lo que indica la colección a la que pertenecen y su índice dentro de ella. Son URN de esta forma:

```
urn:decentraland:matic:collections-v2:<collection address>:<item index>
```

Para ilustrarlo, el `pointers` array de un emote se ve así:

```json
{
  "pointers": [
    "urn:decentraland:matic:collections-v2:0x2d9560df9dd8ba8b2dc3746bc1d217698d258fb5:0"
  ],
  // ... otras propiedades de la entity
}
```

### Campos de metadata

Los Emotes comparten la mayoría de sus campos básicos con [wearables](https://github.com/decentraland/docs/tree/main/contributor/entity-types/wearables/README.md). El `emoteDataADR74` es la propiedad donde se encuentra la información específica del emote.

| Campo               | Valor                                                                                                                                                       |
| ------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`                | El [pointer](https://github.com/decentraland/docs/tree/main/contributor/pointers/README.md) que resuelve (o solía resolver) a este emote.                   |
| `name`              | El título visible de este emote en un [collection](https://github.com/decentraland/docs/tree/main/contributor/collections/README.md).                       |
| `description`       | Una descripción ampliada de este emote.                                                                                                                     |
| `image`             | El [nombre interno de archivo](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md#files) con una imagen de este emote.           |
| `thumbnail`         | El [nombre interno de archivo](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md#files) para una versión 256x256 de la `image`. |
| `rarity`            | Uno de `common`, `uncommon`, `rare`, `epic`, `legendary`, `exotic`, `mythic` o `unique`.                                                                    |
| `i18n`              | Un array de traducciones para el `name` campo.                                                                                                              |
| `collectionAddress` | La dirección de Ethereum de la colección que contiene este emote.                                                                                           |
| `metrics`           | Algunas medidas útiles sobre las animaciones (ver abajo).                                                                                                   |
| `emoteDataADR74`    | Los metadatos ampliados de este emote, tal como se definen en [ADR-74](https://adr.decentraland.org/adr/ADR-74) (ver abajo).                                |

Así luce un JSON típico:

```json
{
  "id": "urn:decentraland:matic:collections-v2:0x2d9560df9dd8ba8b2dc3746bc1d217698d258fb5:0",
  "name": "Baile gracioso",
  "description": "Muévete como un campeón",
  "image": "image.png",
  "thumbnail": "thumbnail.png",
  "rarity": "rare",
  "i18n": [
    { "code": "es", "text": "Danza Graciosa" }
  ],
  "collectionAddress": "0x2d9560df9dd8ba8b2dc3746bc1d217698d258fb5",
  "metrics": {
    // Objeto de mediciones (ver abajo).
  },
  "emoteDataADR74": {
    // Metadatos ampliados definidos en ADR-74 (ver abajo).
  }
}
```

### Métricas

En la `metadata.metrics` objeto, encontrarás algunas mediciones sencillas de la animación incluida con este emote. Un ejemplo:

```json
{
  "triangles": 0,
  "materials": 0,
  "textures": 0,
  "meshes": 0,
  "bodies": 0,
  "entities": 1
}
```

### Datos del Emote ADR-74

Este objeto contiene los campos que World Explorers (u otras aplicaciones gráficas) necesitan para animar modelos con este emote.

| Campo             | Valor                                                                                          |
| ----------------- | ---------------------------------------------------------------------------------------------- |
| `category`        | Uno de `dance`, `stunt`, `greetings`, `fun`, `poses`, `reactions`, `horror` o `miscellaneous`. |
| `representations` | Un array de archivos de animación asociados a diferentes body shapes.                          |
| `tags`            | Un array de etiquetas de texto descriptivas de este emote.                                     |
| `loop`            | `true` si la animación debe repetirse una vez que termine.                                     |

Algo de JSON para mayor claridad:

```json
{
  "category": "dance",
  "representations": [
    // Información sobre la animación para diferentes body shapes (ver abajo).
  ],
  "tags": [ "carnaval", "dance" ],
  "loop": true
}
```

#### Representaciones

Cada elemento en el `metadata.emoteDataADR74.representations` campo define los archivos de animación apropiados para cada body shape.

| Campo        | Valor                                                                                                                                              |
| ------------ | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| `bodyShapes` | Un array de body shape aplicables [pointers](https://github.com/decentraland/docs/tree/main/contributor/pointers/README.md).                       |
| `mainFile`   | El [nombre interno de archivo](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md#files) para el archivo GLB principal. |
| `contents`   | Todos los archivos, incluidos `mainFile` y cualesquiera adicionales a los que pueda hacer referencia.                                              |

Por ejemplo, una `representation` elemento:

```json
{
  "bodyShapes": [ "urn:decentraland:off-chain:base-avatars:BaseMale" ],
  "mainFile": "male/funnydance.glb",
  "contents": [
    "male/funnydance.glb"
  ]
}
```

Comúnmente encontrarás dos entradas de representación, una para `BaseMale` y una para `BaseFemale`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decentraland.org/contributor/contributor-es/contenido/tipos-de-entidad/emotes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
